Subject: Re: bug#59945: [PATCH] Fix empty pairs in js tree-sitter imenu alist

From: "Charl P. Botha" <[email-masked]>
Date: Tue, 13 Dec 2022 09:48:02 +0200

Dear Yuan Fu, dear Eli,

On Tue, Dec 13, 2022, at 00:28, Yuan Fu wrote:
> "Charl P. Botha" <[email-masked]> writes:
>
>> The current js--treesit-imenu, used by the JavaScript, TypeScript and
>> TSX tree-sitter modes, would return empty pairs in the imenu alist if
>> there were none of that type of symbol.
>>
>> This would break both the built in imenu and also packages like
>> consult-imenu.
>>
>> See https://github.com/minad/consult/issues/697 for the discussion
>> there.
>
> Thank you very much! Sorry for the inconvenience it caused. Have you
> signed the copyright assignment? I’m asking because this change is on
> the verge of 15 lines. Eli, WDYT?

Emacs is (and always has been) a positive force in my life, thank you for all the energy that you pour into it!

I have not yet signed the copyright assignment, I would gladly do so.

Hopefully we can do this digitally? I live in South Africa, but I'm a Dutch citizen, in case that matters. I also have a PGP key [1] that's fairly well connected and can be verified on keybase (FWIW) [2]

Kind regards,
Charl

[1] http://pgp.mit.edu:11371/pks/lookup?op=get&search=0x384435C7E77A4564
[2] https://keybase.io/cpbotha